Inventory
Create a vendor
Create a vendor.
Authorization
HTTPBearer AuthorizationBearer <token>
JWT access token
In: header
Query Parameters
merchant_id?|
Optional merchant to act on. Must be one you are a member of.
Format
uuidHeader Parameters
X-Merchant-ID?string|null
Request Body
application/json
contact_name?string
Length
length <= 160Default
""email?string
Length
length <= 255Default
""is_active?boolean
Default
truelead_time_days?number
Range
0 <= value <= 365Default
3name*string
Length
2 <= length <= 160ordering_method?string
Length
length <= 16Default
"EMAIL"phone?string
Length
length <= 32Default
""webhook_url?string
Length
length <= 2000Default
""Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/vendors" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "data": {}, "meta": {}, "success": true}